const dbConnect = require('../../busapi/configs/dbConnection.js');

async function getBillerConfigById(billerId) {
    const query = `
        SELECT billerid, biller_category, authenticators, online_validation, paymentamount_validation, pay_multiple_bills, plan_available, customer_conv_fee 
        FROM biller_all 
        WHERE billerid = ? 
        LIMIT 1
    `;
    const [rows] = await dbConnect.execute(query, [billerId]);
    return rows[0] || null;
}

module.exports = { getBillerConfigById };

